Bug 41786 - bin/catalina.sh inconsistently references CATALINA_HOME and CATALINA_BASE for logging configuration
bin/catalina.sh inconsistently references CATALINA_HOME and CATALINA_BASE for...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
Other other
: P4 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-03-07 09:06 UTC by Mike Hanafey
Modified: 2007-03-27 00:16 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Hanafey 2007-03-07 09:06:50 UTC
This issue is fixed with:

--- catalina.sh.orig    2007-02-13 08:04:44.000000000 -0500
+++ catalina.sh 2007-03-07 09:54:31.488965000 -0500
@@ -162,7 +162,7 @@
 fi

 # Set juli LogManager if it is present
-if [ -r "$CATALINA_HOME"/conf/logging.properties ]; then
+if [ -r "$CATALINA_BASE"/conf/logging.properties ]; then
   JAVA_OPTS="$JAVA_OPTS
"-Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager"
"-Djava.util.logging.config.file="$CATALINA_BASE/conf/logging.properties"
 fi